-../../bookworm/aptmark/all
\ No newline at end of file
+../../trixie/aptmark/all
\ No newline at end of file
-../../bookworm/aptmark/user
\ No newline at end of file
+../../trixie/aptmark/user
\ No newline at end of file
+++ /dev/null
-../../../../../bookworm/copy/all/home/plom/.bash_profile
\ No newline at end of file
+++ /dev/null
-../../../../../bookworm/copy/all/home/plom/.bashrc
\ No newline at end of file
+++ /dev/null
-../../.plomlib
-lib
+++ /dev/null
-../../../../../../bookworm/copy/all/home/plom/.plomlib/file_dot_variants
\ No newline at end of file
+++ /dev/null
-../../../../../bookworm/copy/all/home/plom/.profile
\ No newline at end of file
+++ /dev/null
-../home/plom/.bash_profile
\ No newline at end of file
+++ /dev/null
-../home/plom/.bashrc
\ No newline at end of file
+++ /dev/null
-../home/plom/.local
\ No newline at end of file
+++ /dev/null
-../home/plom/.plomlib
\ No newline at end of file
+++ /dev/null
-../home/plom/.profile
\ No newline at end of file
+++ /dev/null
-../../../../bookworm/copy/all/root/.shell_prompt_color
\ No newline at end of file
+++ /dev/null
-../../../../../../bookworm/copy/all/etc/apt/apt.conf.d/99_minimize_dependencies
\ No newline at end of file
-../../../../../bookworm/copy/all/etc/apt/apt.conf.d
\ No newline at end of file
+../../../../../trixie/copy/all/etc/apt/apt.conf.d
\ No newline at end of file
-../../../../bookworm/copy/all/etc/hosts
\ No newline at end of file
+../../../../trixie/copy/all/etc/hosts
\ No newline at end of file
-../../../bookworm/copy/all/home
\ No newline at end of file
+../../../trixie/copy/all/home
\ No newline at end of file
-../../../bookworm/copy/all/root
\ No newline at end of file
+../../../trixie/copy/all/root
\ No newline at end of file
cp -a "${PATH_SECRETS_SSH}" "${PATH_USER_SSH}"
eval $(ssh-agent)
stty -echo
-trapp stty +echo
+trapp stty echo
retry_until 1 'echo ""' 'ssh-add -q' 'echo "Aborting due to ssh-add error"'
stty echo
trapp
--- /dev/null
+../../trixie/scripts/from_older_upgrade.sh
\ No newline at end of file
-../../../bookworm/scripts/lib/INSTALLER_VERSION
\ No newline at end of file
+../../../trixie/scripts/lib/INSTALLER_VERSION
\ No newline at end of file
-../../../bookworm/scripts/lib/abort
\ No newline at end of file
+../../../trixie/scripts/lib/abort
\ No newline at end of file
-../../../bookworm/scripts/lib/check_finished_marker
\ No newline at end of file
+../../../trixie/scripts/lib/check_finished_marker
\ No newline at end of file
-../../../bookworm/scripts/lib/constants_etc
\ No newline at end of file
+../../../trixie/scripts/lib/constants_etc
\ No newline at end of file
-../../../bookworm/scripts/lib/constants_finished
\ No newline at end of file
+../../../trixie/scripts/lib/constants_finished
\ No newline at end of file
-../../../bookworm/scripts/lib/constants_repopaths
\ No newline at end of file
+../../../trixie/scripts/lib/constants_repopaths
\ No newline at end of file
-../../../bookworm/scripts/lib/constants_ssh
\ No newline at end of file
+../../../trixie/scripts/lib/constants_ssh
\ No newline at end of file
-../../../bookworm/scripts/lib/constants_user
\ No newline at end of file
+../../../trixie/scripts/lib/constants_user
\ No newline at end of file
-../../../bookworm/scripts/lib/copy_dirtrees_of_tags
\ No newline at end of file
+../../../trixie/scripts/lib/copy_dirtrees_of_tags
\ No newline at end of file
+++ /dev/null
-../../../bookworm/scripts/lib/determine_ip
\ No newline at end of file
-../../../bookworm/scripts/lib/ensure_packages_of_tags
\ No newline at end of file
+../../../trixie/scripts/lib/ensure_packages_of_tags
\ No newline at end of file
-../../../bookworm/scripts/lib/expect_n_args
\ No newline at end of file
+../../../trixie/scripts/lib/expect_n_args
\ No newline at end of file
-../../../bookworm/scripts/lib/init_packages
\ No newline at end of file
+../../../trixie/scripts/lib/init_packages
\ No newline at end of file
+++ /dev/null
-../../../bookworm/scripts/lib/install_aptmarkeds
\ No newline at end of file
+++ /dev/null
-../../../bookworm/scripts/lib/mark_nonrequireds_auto
\ No newline at end of file
-../../../bookworm/scripts/lib/path_tmp_timestamped
\ No newline at end of file
+../../../trixie/scripts/lib/path_tmp_timestamped
\ No newline at end of file
-../../../bookworm/scripts/lib/put_finished_marker
\ No newline at end of file
+../../../trixie/scripts/lib/put_finished_marker
\ No newline at end of file
-../../../bookworm/scripts/lib/set_hostname_and_hosts
\ No newline at end of file
+../../../trixie/scripts/lib/set_hostname_and_hosts
\ No newline at end of file
-../../../bookworm/scripts/lib/setup_user
\ No newline at end of file
+../../../trixie/scripts/lib/setup_user
\ No newline at end of file
. lib/set_hostname_and_hosts
PATH_NETWORK_INTERFACES="${PATH_ETC}/network/interfaces"
-PATH_ETC_APT="${PATH_ETC}/apt"
-PATH_ETC_APT_CONF=${PATH_ETC_APT}/apt.conf.d
+THINKPAD_NAMES="x220 w530 t490s"
abort_if_offline
-THINKPAD_NAMES="x220 w530 t490s"
get_system_class_for() {
for THINKPAD_NAME in $THINKPAD_NAMES; do
if [ "$1" = "${THINKPAD_NAME}" ]; then
SYSTEM_NAME="$1"
abort_if_illegal_system_name "${SYSTEM_NAME}"
SYSTEM_CLASS_NAME="$(get_system_class_for ${SYSTEM_NAME})"
-TAG_ALL=all
-INSTALL_TAGS="${TAG_ALL} ${SYSTEM_CLASS_NAME} ${SYSTEM_NAME} user desktop"
-PATH_COPY_TAG_ALL="../copy/${TAG_ALL}"
-
-upgrade_from_older_release() {
- apt_update_to_full_upgrade() {
- apt-get -q -q update
- apt-get -q -q -y -o Dpkg::Options::='--force-confnew' upgrade
- apt-get -q -q -y -o Dpkg::Options::='--force-confnew' full-upgrade
- }
- apt_update_to_full_upgrade
- cp "${PATH_COPY_TAG_ALL}${PATH_ETC_APT}/sources.list" "${PATH_ETC_APT}/"
- apt-get clean
- apt_update_to_full_upgrade
- apt-get -q -q -y --purge autoremove
-}
+INSTALL_TAGS="all ${SYSTEM_CLASS_NAME} ${SYSTEM_NAME} user desktop"
adopt_wifi_connection() {
get_network_interfaces_last_wpa_value() {
fi
}
-export DEBIAN_FRONTEND=noninteractive
-
echo "\nUpgrading to testing."
-# For this step only very selectively prepare /etc/ files.
-cp "${PATH_COPY_TAG_ALL}${PATH_ETC_APT_CONF}/99_minimize_dependencies" "${PATH_ETC_APT_CONF}/"
-upgrade_from_older_release
+./from_older_upgrade.sh
# NB: This needs to come before steps potentially overwriting /etc/network/interfaces.
-apt -y install network-manager
+apt-get -y install network-manager > /dev/null
if [ "$(nmcli -f TYPE conn | grep 'wifi' | wc -l)" = "0" ]; then
echo "\nChecking for existing wifi config in ${PATH_NETWORK_INTERFACES}."
adopt_wifi_connection
--- /dev/null
+../bookworm/aptmark
\ No newline at end of file
--- /dev/null
+../../../../bookworm/copy/all/etc/LINK_ME__localtime
\ No newline at end of file
--- /dev/null
+../../../../../bookworm/copy/all/etc/apt/apt.conf.d
\ No newline at end of file
--- /dev/null
+deb http://deb.debian.org/debian trixie main contrib non-free non-free-firmware
+deb http://security.debian.org/debian-security trixie-security main contrib non-free non-free-firmware
+deb http://deb.debian.org/debian trixie-updates main contrib non-free non-free-firmware
+deb http://ftp.debian.org/debian trixie-backports main contrib non-free non-free-firmware
--- /dev/null
+../../../../bookworm/copy/all/etc/hosts
\ No newline at end of file
--- /dev/null
+../../../bookworm/copy/all/home
\ No newline at end of file
--- /dev/null
+../../../bookworm/copy/all/root
\ No newline at end of file
--- /dev/null
+../../bookworm/copy/catgirl
\ No newline at end of file
--- /dev/null
+../../bookworm/copy/seedbox
\ No newline at end of file
--- /dev/null
+../../bookworm/copy/server/
\ No newline at end of file
--- /dev/null
+#!/bin/sh
+set -e
+cd $(dirname "$0")
+. lib/constants_etc # PATH_ETC
+
+PATH_ETC_APT="${PATH_ETC}/apt"
+PATH_ETC_APT_CONF=${PATH_ETC_APT}/apt.conf.d
+PATH_COPY_TAG='../copy/all'
+export DEBIAN_FRONTEND=noninteractive
+
+apt_update_to_full_upgrade() {
+ apt-get -q -q update
+ apt-get -q -q -y -o Dpkg::Options::='--force-confnew' upgrade
+ apt-get -q -q -y -o Dpkg::Options::='--force-confnew' full-upgrade
+}
+
+cp "${PATH_COPY_TAG}${PATH_ETC_APT_CONF}/99_minimize_dependencies" "${PATH_ETC_APT_CONF}/"
+apt_update_to_full_upgrade
+
+cp "${PATH_COPY_TAG}${PATH_ETC_APT}/sources.list" "${PATH_ETC_APT}/"
+apt-get clean
+apt_update_to_full_upgrade
+apt-get -q -q -y autopurge
--- /dev/null
+../../bookworm/scripts/lib
\ No newline at end of file
--- /dev/null
+../../bookworm/scripts/setup_catgirl.sh
\ No newline at end of file
--- /dev/null
+../../bookworm/scripts/setup_seedbox.sh
\ No newline at end of file
--- /dev/null
+../../bookworm/scripts/setup_server.sh
\ No newline at end of file